using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Rainbow.ViewModels
{
    public class ProjectViewModel
    {
        public int Id { get; set; }

        [Required]
        public string Name { get; set; }

        [DisplayName("Aktiv")]
        public bool Active { get; set; }

        [DisplayName("Verzeichnisname")]
        public string DirectoryName { get; set; }

        [DisplayName("Beschreibung")]
        public string Description { get; set; }

        [DisplayName("Pauschale Abrechnung")]
        public bool FlatRate { get; set; }

        [DisplayName("Deadline"), DataType(DataType.Date)]
        public DateTime? Deadline { get; set; }

        [Display(Name = "Vorausbezahlte Stunden")]
        public double PrepaidHours { get; set; }

        [DisplayName("Kunde")]
        public int CustomerId { get; set; }

        [DisplayName("Kunde")]
        public string CustomerName { get; set; }

        [Display(Name = "Erstellt")]
        public DateTime Created { get; set; }

        [Display(Name = "Erstellt von")]
        public string CreatedBy { get; set; }

        [Display(Name = "Geändert")]
        public DateTime LastModified { get; set; }

        [Display(Name = "Geändert von")]
        public string LastModifiedBy { get; set; }
    }
}